<ng-container *ngIf="!loading && (searchResult$ | async) as searchResult; else elseBlock">
  <ng-container *ngIf="searchResult.length; else notFoundSamples">
    <div class="header">
      <h3 class="title">{{ searchResult.length }} Total Samples</h3>
      <div>
        <button mat-flat-button color="primary" (click)="exportSearchResult()">
          Export
        </button>
      </div>
    </div>
    <table mat-table [dataSource]="searchResult" class="mat-elevation-z8 sparse" perfectScrollbar>
      <ng-container [matColumnDef]="displayedColumns[0]">
        <th mat-header-cell *matHeaderCellDef>Well Number</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[0]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[1]">
        <th mat-header-cell *matHeaderCellDef>UWI</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[1]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[2]">
        <th mat-header-cell *matHeaderCellDef>Lab</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[2]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[3]">
        <th mat-header-cell *matHeaderCellDef>Location</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[3]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[4]">
        <th mat-header-cell *matHeaderCellDef>Sample Title</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[4]] }}</td>
      </ng-container>
      <ng-container [matColumnDef]="displayedColumns[5]">
        <th mat-header-cell *matHeaderCellDef>Sample Type</th>
        <td mat-cell *matCellDef="let element">{{ element[displayedColumns[5]] }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns; let i = index"></tr>
    </table>
  </ng-container>
  <ng-template #notFoundSamples>
    <h3 class="title">Samples Not Found</h3>
  </ng-template>
</ng-container>
<ng-template #elseBlock>
  <gng-spinner></gng-spinner>
</ng-template>
